#pragma once

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <iostream>
#include <atlstr.h>
#include <json/value.h>


class RttsRequest {
private:
    std::string audioFormat = "pcm";
    std::string audioProperty;
    std::string text;
    std::string sampleRate = "8000";
    int speed = 0;
    int pitch = 0;
    int volume = 50;

public:
    RttsRequest(std::string text);

    void SetAudioFormat(std::string audioFormat);

    void SetAudioProperty(std::string audioProperty);

    void SetSpeed(int speed);

    void SetPitch(int pitch);

    void SetVolume(int volume);

    void SetSampleRate(std::string sampleRate);

    std::string ConstructParams();



};
