//
// Created by z00500078 on 2022/4/7.
//
#include "AuthUtil.h"

std::map<std::string, std::string> SignHeaders(AuthInfo authInfo, std::string api, std::string queryParams, std::string body, std::string method) {
	Signer signer(authInfo.GetAk(), authInfo.GetSk());
	RequestParams *request = new RequestParams(method, authInfo.GetEndpoint(), api, queryParams, body);
	if (method.compare("GET") != 0) {
		request->addHeader("Content-Type", "application/json");
	}

	signer.createSignature(request);
	std::map<std::string, std::string> result;
	for (auto header : *request->getHeaders()) {
		result[header.getKey()] = header.getValue();
	}
	delete request;
	return result;
}
